> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get automation state

> Retrieves the complete automation state including all rules and variables



## OpenAPI

````yaml /api-reference/oda-automation-service-1.0.0.yml get /automation/
openapi: 3.0.1
info:
  title: ODA Automation Service
  description: ODA Automation Service
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: GPL-3.0
    url: https://www.gnu.org/licenses/gpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
tags:
  - name: Automation
    description: Automation operations for managing rules and variables
  - name: Automation Commands
    description: Commands for updating automation state
paths:
  /automation/:
    get:
      tags:
        - Automation
      summary: Get automation state
      description: >-
        Retrieves the complete automation state including all rules and
        variables
      operationId: getState
      responses:
        '200':
          description: Complete automation state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomationDto'
        '401':
          description: Unauthorized - user not authenticated
components:
  schemas:
    AutomationDto:
      required:
        - rules
        - variables
      type: object
      properties:
        rules:
          type: array
          items:
            $ref: '#/components/schemas/AutomationRuleDto'
        variables:
          type: array
          items:
            $ref: '#/components/schemas/AutomationVariableDto'
    AutomationRuleDto:
      required:
        - actions
        - id
        - name
        - triggers
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        triggers:
          type: array
          items:
            $ref: '#/components/schemas/AutomationTriggerDto'
        actions:
          type: array
          items:
            $ref: '#/components/schemas/AutomationActionDto'
    AutomationVariableDto:
      required:
        - id
        - name
        - type
        - value
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
        value:
          type: string
    AutomationTriggerDto:
      required:
        - id
        - value
      type: object
      properties:
        id:
          type: string
        value:
          type: object
          additionalProperties: true
    AutomationActionDto:
      required:
        - id
        - value
      type: object
      properties:
        id:
          type: string
        value:
          type: object
          additionalProperties: true

````